<?php
$versions = array(
                "Original_Directives" => "Original Directives",
                "Commission_Initial_Proposal" => "Commission Initial Proposal",
                "JURI_Opinion" => "JURI Opinion",
                "CULT_Opinion" => "CULT Opinion",
                "ECON_Opinion" => "ECON Opinion",
                "LIBE_Opinion" => "LIBE Opinion",
                "ITRE" => "ITRE Report &amp; Opinion",
                "IMCO" => "IMCO Opinion &amp; Report",
                "Parliament_First_Reading" => "Parliament First Reading",
                "Commission_Amended_Proposal" => "Commission Amended Proposal",
                "Council_Political_Agreement" => "Council Political Agreement"
);

$institutions = array(
                    "Commission_Initial_Proposal_Parliament_First Reading_Council_Political_Agreement" => "Commission Initial Proposal / Parliament First Reading / Council Political Agreement",
                    "Commission_Amended_Proposal_Parliament_First Reading_Council_Political_Agreement" => "Commission Amended Proposal / Parliament First Reading / Council Political Agreement",
);

$amendings = array(
                "COD_2007_0247" => "COD 2007 0247",
                "COD_2007_0248" => "COD 2007 0248"
);

$amendeds = array(
                "Access" => "Access Directive",
                "Authorisation" => "Authorisation Directive",
                "Framework" => "Framework Directive",
                "Universal_Service" => "Universal Service Directive",
                "ePrivacy" => "ePrivacy Directive",
);

$diffs = array(
            "Original_Directives_Commission_Initial_Proposal" => "1+2",
            "Original_Directives_JURI_Opinion" => "1+2",
            "Original_Directives_CULT_Opinion" => "1+2",
            "Original_Directives_ECON_Opinion" => "1+2",
            "Original_Directives_LIBE_Opinion" => "1+2",
            "Original_Directives_ITRE_Report_Opinion" => "1+2",
            "Original_Directives_IMCO_Opinion_Report" => "1+2",
            "Original_Directives_Parliament_First_Reading" => "1+2",
            "Original_Directives_Commission_Amended_Proposal" => "1+2",
            "Original_Directives_Council_Political_Agreement" => "1+2",
            "Commission_Initial_Proposal_JURI_Opinion" => "1+2",
            "Commission_Initial_Proposal_CULT_Opinion" => "1+2",
            "Commission_Initial_Proposal_ECON_Opinion" => "1+2",
            "Commission_Initial_Proposal_LIBE_Opinion" => "1+2",
            "Commission_Initial_Proposal_ITRE_Report_Opinion" => "1+2",
            "Commission_Initial_Proposal_IMCO_Opinion_Report" => "1+2",
            "Commission_Initial_Proposal_Parliament_First_Reading" => "1+2",
            "Commission_Initial_Proposal_Commission_Amended_Proposal" => "1+2",
            "Commission_Initial_Proposal_Council_Political_Agreement" => "1+2",
            "JURI_Opinion_ITRE_Report" => "1",
            "JURI_Opinion_IMCO_Report" => "2",
            "CULT_Opinion_ITRE_Report" => "1",
            "CULT_Opinion_IMCO_Report" => "2",
            "ECON_Opinion_ITRE_Report" => "1",
            "ECON_Opinion_IMCO_Report" => "2",
            "LIBE_Opinion_ITRE_Report" => "1",
            "LIBE_Opinion_IMCO_Report" => "2",
            "ITRE_Opinion_IMCO_Report" => "2",
            "ITRE_Report_Parliament_First_Reading" => "1",
            "IMCO_Opinion_ITRE_Report" => "1",
            "IMCO_Report_Parliament_First_Reading" => "2",
            "Parliament_First_Reading_Commission_Amended_Proposal" => "1+2",
            "Parliament_First_Reading_Council_Political_Agreement" => "1+2",
            "Commission_Amended_Proposal_Parliament_First_Reading" => "1+2",
            "Commission_Amended_Proposal_Council_Political_Agreement" => "1+2"
);

# Read parameters
$params = array("version_one", "version_two", "version_three", "amending", "amended");
foreach ($params as $var) {
    if (isset($_POST[$var])) {
        ${$var} = $_POST[$var];
    }
}

# Process form
if ($_POST['submit']) {
    if ($version_one == 'ITRE') {
        if ($amending == 'COD_2007_0247' || $amended == 'Access' || $amended == 'Authorisation' || $amended == 'Framework' ||
            ($version_two && $version_two != 'IMCO')) {
                $version_one .= '_Report';
        }
        elseif ($amending == 'COD_2007_0248' || $amended == 'Universal_Service' || $amended == 'ePrivacy' ||
                $version_two == 'IMCO') {
            $version_one .= '_Opinion';
        }
        else {
            $version_one .= '_Report_Opinion';
        }
    }
    elseif ($version_one == 'IMCO') {
        if ($amending == 'COD_2007_0248' || $amended == 'Universal_Service' || $amended == 'ePrivacy' ||
            ($version_two && $version_two != 'ITRE')) {
                $version_one .= '_Report';
        }
        elseif ($amending == 'COD_2007_0247' || $amended == 'Access' || $amended == 'Authorisation' || $amended == 'Framework' ||
                $version_two == 'ITRE') {
            $version_one .= '_Opinion';
        }
        else {
            $version_one .= '_Opinion_Report';
        }
    }

    if ($version_two == 'ITRE') {
        if ($amending == 'COD_2007_0247' || $amended == 'Access' || $amended == 'Authorisation' || $amended == 'Framework'
            || ($version_one != 'Original_Directives' && $version_one != 'Commission_Initial_Proposal')) {
                $version_two .= '_Report';
        }
        elseif ($amending == 'COD_2007_0248' || $amended == 'Universal_Service' || $amended == 'ePrivacy') {
            $version_two .= '_Opinion';
        }
        else {
            $version_two .= '_Report_Opinion';
        }
    }
    elseif ($version_two == 'IMCO') {
        if ($amending == 'COD_2007_0248' || $amended == 'Universal_Service' || $amended == 'ePrivacy' ||
            ($version_one != 'Original_Directives' && $version_one != 'Commission_Initial_Proposal')) {
                $version_two .= '_Report';
        }
        elseif ($amending == 'COD_2007_0247' || $amended == 'Access' || $amended == 'Authorisation' || $amended == 'Framework') {
            $version_two .= '_Opinion';
        }
        else {
            $version_two .= '_Opinion_Report';
        }
    }

    if ($version_two) {
        if (is_null($diffs[$version_one."_".$version_two])) {
            if (substr($version_one, 0, 1) == "I") {
                $version_one = substr($version_one, 0, 4);
            }
            if (substr($version_two, 0, 1) == "I") {
                $version_two = substr($version_two, 0, 4);
            }
            $err = "There is no interest in evolution from $versions[$version_one] to $versions[$version_two], please select something else.";
        }
        elseif ($diffs[$version_one."_".$version_two] == '1' &&
                ($amending == 'COD_2007_0248' || $amended == 'Universal_Service' || $amended == 'ePrivacy')) {
            if (substr($version_one, 0, 1) == "I") {
                $version_one = substr($version_one, 0, 4);
            }
            if (substr($version_two, 0, 1) == "I") {
                $version_two = substr($version_two, 0, 4);
            }
            $err = "This focus is unavailable for evolution from $versions[$version_one] to $versions[$version_two], please select something else.";
        }
        elseif ($diffs[$version_one."_".$version_two] == '2' &&
                ($amending == 'COD_2007_0247' || $amended == 'Access' || $amended == 'Authorisation' || $amended == 'Framework')) {
            if (substr($version_one, 0, 1) == "I") {
                $version_one = substr($version_one, 0, 4);
            }
            if (substr($version_two, 0, 1) == "I") {
                $version_two = substr($version_two, 0, 4);
            }
            $err = "This focus is unavailable for evolution from $versions[$version_one] to $versions[$version_two], please select something else.";
        }
    }

    $url = 'Telecoms_Package_';
    if ($version_two || $version_three) {
        $url .= 'Diff_';
    }

    if ($amending) {
        $url .= $amending.'_';
    }
    elseif ($amended) {
        $url .= $amended.'_';
    }

    if ($version_three) {
        $url .= $version_three;
    }
    elseif ($version_two) {
        $url .= $version_one.'_'.$version_two;
    }
    elseif ($version_one) {
        $url .= $version_one;
    }

    if (is_null($err)) {
        header("Location: http://www.laquadrature.net/wiki/$url");
        exit;
    }
}

header("Content-Type: text/html; charset=utf-8");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="keywords" content="Telecoms Package, LawTracks" />
        <link rel="shortcut icon" href="/favicon.ico" />
        <link rel="search" type="application/opensearchdescription+xml" href="http://www.laquadrature.net/wiki/opensearch_desc.php" title="La Quadrature du Net (English)" />
        <link rel="copyright" href="http://www.gnu.org/copyleft/fdl.html" />
        <title>Telecoms Package LawTracks</title>
        <style type="text/css" media="screen, projection">/*<![CDATA[*/
            @import "http://www.laquadrature.net/wiki/skins/common/shared.css?116";
            @import "http://www.laquadrature.net/wiki/skins/monobook/main.css?116";
        /*]]>*/</style>
        <link rel="stylesheet" type="text/css" media="print" href="http://www.laquadrature.net/wiki/skins/common/commonPrint.css?116" />
        <!--[if lt IE 5.5000]><style type="text/css">@import "http://www.laquadrature.net/wiki/skins/monobook/IE50Fixes.css?116";</style><![endif]-->
        <!--[if IE 5.5000]><style type="text/css">@import "http://www.laquadrature.net/wiki/skins/monobook/IE55Fixes.css?116";</style><![endif]-->
        <!--[if IE 6]><style type="text/css">@import "http://www.laquadrature.net/wiki/skins/monobook/IE60Fixes.css?116";</style><![endif]-->
        <!--[if IE 7]><style type="text/css">@import "http://www.laquadrature.net/wiki/skins/monobook/IE70Fixes.css?116";</style><![endif]-->
        <!--[if lt IE 7]><script type="text/javascript" src="http://www.laquadrature.net/wiki/skins/common/IEFixes.js?116"></script>
        <meta http-equiv="imagetoolbar" content="no" /><![endif]-->
        <style type="text/css">
        /*<![CDATA[*/
            @import "http://www.laquadrature.net/wiki/index.php?title=MediaWiki:Common.css&usemsgcache=yes&action=raw&ctype=text/css&smaxage=18000";
            @import "http://www.laquadrature.net/wiki/index.php?title=MediaWiki:Monobook.css&usemsgcache=yes&action=raw&ctype=text/css&smaxage=18000";
            @import "http://www.laquadrature.net/wiki/index.php?title=-&action=raw&gen=css&maxage=18000&smaxage=0";
        /*]]>*/
        </style>
        <script type="text/javascript">
        //<![CDATA[
            function exclusive_checkbox(name, val) {
                form = document.getElementById('form');
                checkbox = form.getElementsByTagName('input');
                for (var i=0; i<checkbox.length; i++) {
                    if ((checkbox[i].name == name && checkbox[i].checked && checkbox[i].value != val) ||
                        ((name == 'version_one' || name == 'version_two') && checkbox[i].name == 'version_three') ||
                        (name == 'version_three' && (checkbox[i].name == 'version_one' || checkbox[i].name == 'version_two')) ||
                        (name == 'amending' && checkbox[i].name == 'amended') ||
                        (name == 'amended' && checkbox[i].name == 'amending')) {
                            checkbox[i].checked = 0;
                    }
                }
                if (name == 'version_two' || name == 'amending' || name == 'amended') {
                    var version_one = 0;
                    for (var i=0; i<checkbox.length; i++) {
                        if ((checkbox[i].name == 'version_one' || checkbox[i].name == 'version_three') && checkbox[i].checked == 1) {
                            version_one = 1;
                        }
                    }
                    if (version_one == 0) {
                        checkbox[1].checked = 1;
                    }
                }
            }
        //]]>
        </script>
    </head>
    <body class="mediawiki ns-0 ltr page-Telecoms_Package_LawTracks">
        <div id="globalWrapper">
            <div id="column-content">
                <div id="content">
                    <h1 class="firstHeading">Telecoms Package LawTracks</h1>
                    <div id="bodyContent">
                        <h3 id="siteSub">Un article de La Quadrature du Net.</h3>
                        <div id="contentSub"></div>
                        <div id="jump-to-nav">Aller à : <a href="#column-one">Navigation</a>, <a href="#searchInput">Rechercher</a></div>
                        <!-- start content -->
                        <div class="LanguageLinks"><table width="100%"><tr valign="top" style="background: #EEF3E2"><td style="width: 25px; padding-left: 0.5em;"><a href="http://www.laquadrature.net/wiki/Image:Geographylogo.png" class="image" title="Languages"><img alt="Languages" src="http://www.laquadrature.net/wiki/images/thumb/5/59/Geographylogo.png/25px-Geographylogo.png" width="25" height="25" style="border:0;" /></a></td><td style="padding: 1px 1em 0; background: #F6F9ED;"><b><strong class="selflink">English</strong></b> - <b><a href="http://www.laquadrature.net/lawtracks/telecoms_package/fr/">Français</a></b> - <b><a href="http://www.laquadrature.net/lawtracks/telecoms_package/de/">Deutsch</a></b> - <b><a href="http://www.laquadrature.net/lawtracks/telecoms_package/es/">Español</a></b></td></tr></table></div>
                        <table cellspacing="2" cellpadding="0" style="margin:0em 0em 0em 0em; width:100%; height:100%;">
                            <tr>
                                <td colspan="1" style="width:100%; height:100%; vertical-align:top; border:1px solid #8488DC; background-color:#F5F5FF;">
                                    <div style="border-bottom:1px solid #8488DC; background-color:#CED1FA; padding:0.2em 0.9em 0.2em 0.5em; font-size:120%; font-weight:bold;">Read the directives proposals in the text and follow their progress during the legislative process</div>
                                    <div style="padding-top:0.25em; padding-bottom:0.2em; padding-left:0.5em; padding-right:0.5em;">
                                        <div class="thumb tright">
                                            <img alt="" src="http://www.laquadrature.net/files/riposte-strikeout.jpg" width="300" height="171" class="thumbimage" />
                                        </div>
                                        <p><em>Telecoms Package LawTracks</em> is a tool that allows you to see the text of various versions of the directives of the "telecoms package". You can follow their changes during the legislative process and compare the position of European Union institutions (European Commission, European Parliament, Council).</p>
					<p>See <a href="/wiki/Telecoms_Package_LawTracks_Software" title="Telecoms Package LawTracks Software">softwares</a> used to generate these pages.</p>
					<p>La Quadrature du Net has selected articles which have included, at any stage of the legislative process, some provisions raising concerns about Net Neutrality, three-strikes approach (graduated response), users' privacy, etc. This means that some versions are clear of these dangers, but with <em>Telecoms Package LawTracks</em>, you can find out when and by whom they were introduced. Linked with <a href="http://www.laquadrature.net/wiki/Political_Memory">Political Memory</a> −&nbsp;another free tool by La Quadrature du Net&nbsp;− you can know whether and how your Member of Parliament (MEP) is implied in Telecoms Package and refine your communications with her.</p>
                                    </div>
                                </td>
                            </tr>
                        </table>

<?php
if ($err) {
    print "<p style=\"color: red\">$err</p>\n";
}
?>

                        <form id="form" action="index.php" method="post">
                            <div style="float: left; margin: 10px">
                                <p>Select one version to read or two versions to see evolutions:</p>
                                <fieldset style="float: left; margin: 2px">
                                    <legend>Version</legend>
<?php
foreach ($versions as $val => $txt) {
    print("<p><label><input type=\"checkbox\" name=\"version_one\" value=\"$val\" onchange=\"exclusive_checkbox('version_one', this.value);\" />$txt\n</label></p>\n");
}
?>
                                </fieldset>
                                <fieldset style="float: left; margin: 2px">
                                    <legend>Evolution to Version</legend>
<?php
foreach ($versions as $val => $txt) {
    print("<p><label><input type=\"checkbox\" name=\"version_two\" value=\"$val\" onchange=\"exclusive_checkbox('version_two', this.value);\" />$txt\n</label></p>\n");
}
?>
                                </fieldset>
                            </div>
                            <div style="float: left; margin: 10px">
                                <p>Alternatively select one comparison between the three institutions:</p>
                                <fieldset style="float: left; margin: 2px">
                                    <legend>Comparison</legend>
<?php
foreach ($institutions as $val => $txt) {
    print("<p><label><input type=\"checkbox\" name=\"version_three\" value=\"$val\" onchange=\"exclusive_checkbox('version_three', this.value);\" />$txt\n</label></p>\n");
}
?>
                                </fieldset>
                            </div>
                            <div style="clear: both">&nbsp;</div>
                            <p>Optionally, select to focus on either an amending directive or an amended directive:</p>
                            <fieldset style="float: left; margin: 2px">
                                <legend>Focus on amending directive</legend>
<?php
foreach ($amendings as $val => $txt) {
    print("<p><label><input type=\"checkbox\" name=\"amending\" value=\"$val\" onchange=\"exclusive_checkbox('amending', this.value);\" />$txt\n</label></p>\n");
}
?>
                            </fieldset>
                            <fieldset style="float: left; margin: 2px">
                                <legend>Focus on amended directive</legend>
<?php
foreach ($amendeds as $val => $txt) {
    print("<p><label><input type=\"checkbox\" name=\"amended\" value=\"$val\" onchange=\"exclusive_checkbox('amended', this.value);\" />$txt\n</label></p>\n");
}
?>
                            </fieldset>
                            <div style="clear: both; margin:0px auto; text-align: center;"><input name="submit" type="submit" value="Display your selection" /></div>
                        </form>
                        <div class="visualClear"></div>
                    </div>
                </div>
            </div>
            <div id="column-one">
                <div class="portlet" id="p-logo">
                    <a style="background-image: url(http://www.laquadrature.net/files/laquadrature_logo.png);" href="/wiki/Main_Page" title="Visit the Main Page [z]" accesskey="z"></a>
                </div>
                <script type="text/javascript"> if (window.isMSIE55) fixalpha(); </script>
                <div class='portlet' id='p-La_Quadrature_du_Net'>
                    <h5>La Quadrature du Net</h5>
                    <div class='pBody'>
                        <ul>
                            <li id="n-Main_Website"><a href="http://laquadrature.net/en">Main Website</a></li>
                            <li id="n-Who_Are_We"><a href="http://www.laquadrature.net/en/who-are-we">Who are we?</a></li>
                        </ul>
                    </div>
                </div>
                <div class='portlet' id='p-navigation'>
                    <h5>Navigation</h5>
                    <div class='pBody'>
                        <ul>
                            <li id="n-mainpage"><a href="/wiki/Main_Page" title="Visit the Main Page [z]" accesskey="z">Main Page</a></li>
                            <li id="n-recentchanges"><a href="/wiki/Special:Recentchanges" title="The list of recent changes in the wiki. [r]" accesskey="r">Recent changes</a></li>
                            <li id="n-randompage"><a href="/wiki/Special:Random" title="Load a random page [x]" accesskey="x">Random page</a></li>
                            <li id="n-howtohelp"><a href="http://www.laquadrature.net/wiki/How_to_Help">How to help us?</a></li>
                        </ul>
                    </div>
                </div>
                <div class='portlet' id='p-telecomspackage'>
                    <h5>Telecoms Package</h5>
                    <div class='pBody'>
                        <ul>
                            <li id="n-resource"><a href="/wiki/Telecoms_Package">Resource Page</a></li>
			    <li id="n-tplawtracks"><a href="http://www.laquadrature.net/lawtracks/telecoms_package/">LawTracks</a></li>
                            <li id="n-EUCouncilcampaign"><a href="/wiki/Campaign-Save_amendment_138_and_Internet_Freedom_from_Council_of_EU">Eu Council Campaign</a></li>
                            <li id="n-voterecordanalysis"><a href="/wiki/Telecoms_package_directives_1st_reading">vote records analysis</a></li>
                            <li id="n-votinglist"><a href="/wiki/Telecoms_Package_Plenary_Voting_List">Voting list</a></li>
                            <li id="n-amendmentsanalysis"><a href="/wiki/Telecoms_Package_Plenary_Amendments">Amendments analysis</a></li>
                            <li id="n-votedamendments"><a href="/wiki/Telecoms_Package_Voted_Amendments">Voted amendments</a></li>
                            <li id="n-sept24mobilization"><a href="/wiki/Telecoms_Package_Vote_Sept24_Mobilization">Sept. 24 mobilization</a></li>
                        </ul>
                    </div>
                </div>
                <div class='portlet' id='p-Gradudatedresponse'>
                    <h5>Graduated Response</h5>
                    <div class='pBody'>
                        <ul>
                            <li id="n-Actualit.C3.A9"><a href="http://www.laquadrature.net/fr/taxonomy/term/4">Actualité</a></li>
                            <li id="n-L.27avis-de-la-CNIL"><a href="/wiki/HADOPI_avis_CNIL">L'avis de la CNIL</a></li>
                            <li id="n-Videos-du-S.C3.A9nat"><a href="/wiki/HADOPI_Senat_enregistrement_des_seances">Videos du Sénat</a></li>
                            <li id="n-Lettre-budget-HADOPI"><a href="/wiki/Lettre_Budget_HADOPI">Lettre budget HADOPI</a></li>
                        </ul>
                    </div>
                </div>
                <div class='portlet' id='p-politicalmemory'>
                    <h5>Political memory</h5>
                    <div class='pBody'>
                        <ul>
                            <li id="n-mempol"><a href="/wiki/Political_Memory" title="Visit the Main Page [z]" accesskey="z">Main Page</a></li>
                            <li id="n-MEPsbycountry"><a href="/wiki/MEPs_by_country">MEPs by country</a></li>
                            <li id="n-MEPsbygroup"><a href="/wiki/MEPs_by_group">MEPs by group</a></li>
                            <li id="n-MEPsbycommittee"><a href="/wiki/MEPs_by_committee">MEPs by committee</a></li>
                            <li id="n-AllMEPs"><a href="/wiki/MEPs_by_name">All MEPs</a></li>
                            <li id="n-allvoterecords"><a href="/wiki/Vote_List">All vote records</a></li>
                        </ul>
                    </div>
                </div>
                <div id="p-search" class="portlet">
                    <h5><label for="searchInput">Search</label></h5>
		            <div id="searchBody" class="pBody">
            			<form action="/wiki/Special:Search" id="searchform">
                            <div>
            				    <input id="searchInput" name="search" type="text" title="Search La Quadrature du Net [f]" accesskey="f" value="" />
                				<input type='submit' name="go" class="searchButton" id="searchGoButton"	value="Go" title="Go to a page with this exact name if exists" />&nbsp;
                				<input type='submit' name="fulltext" class="searchButton" id="mw-searchButton" value="Search" title="Search the pages for this text" />
			                </div>
                        </form>
            		</div>
                </div>
            </div><!-- end of the left (by default at least) column -->
        </div>
    </body>
</html>
